﻿using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Input;
using MvvmHelpers.Commands;

namespace TestSfListViewIos
{
    public class MainPageViewModel
    {
        public ObservableCollection<int> Items { get; set; }

        public ICommand RemoveCommand => new Command<int>(Remove);

        public MainPageViewModel()
        {
            Items = new ObservableCollection<int>(Enumerable.Range(1, 50));
        }

        private void Remove(int item)
        {
            Items.Remove(item);
        }
    }
}
